Get a single pull request
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/github/repos/{id}/pulls/{pull_number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/github/repos/{id}/pulls/{pull_number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/github/repos/{id}/pulls/{pull_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": {
"avatar_url": "<string>",
"login": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"draft": true,
"html_url": "<string>",
"labels": [
{
"color": "<string>",
"name": "<string>"
}
],
"number": 123,
"state": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"base": {
"ref": "<string>",
"sha": "<string>"
},
"body": "<string>",
"head": {
"ref": "<string>",
"sha": "<string>"
},
"merged_at": "2023-11-07T05:31:56Z",
"neo_review": {
"critical_count": 123,
"findings_count": 123,
"high_count": 123,
"latest_reviewed_at": "2023-11-07T05:31:56Z",
"latest_status": "<string>",
"low_count": 123,
"medium_count": 123,
"review_count": 123
}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}GitHub
Get a single pull request
Fetch a single pull request by number from GitHub.
GET
/
api
/
v1
/
github
/
repos
/
{id}
/
pulls
/
{pull_number}
Get a single pull request
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Repository ID
Pull request number
Response
Pull request details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

